Skip to main content
`Ctrl`+`K`

# TSTrajectorySetVariableNames

Sets the name of each component in the solution vector so that it may be saved with the trajectory

## Synopsis

    #include "petscts.h"
    PetscErrorCode TSTrajectorySetVariableNames(TSTrajectory ctx, const char *const *names)

Collective

## Input Parameters

- ctx - the trajectory context

- names - the names of the components, final string must be `NULL`

## Fortran Notes

Fortran interface is not possible because of the string array argument

## See Also

TS: Scalable ODE and DAE Solvers, `TSTrajectory`, `TSGetTrajectory()`

## Level

intermediate

## Location

src/ts/trajectory/interface/traj.c

## Examples

src/ts/tutorials/extchem.c

Index of all TS routines
Table of Contents for all manual pages
Index of all manual pages